import java.awt.*;
import javax.swing.*;

/**
 *  This main program simply creates a window on the screen that shows
 *  a "VideoPokerPanel" panel in the content area of the window.  The
 *  program exits when the user closes the window.  The window is
 *  non-resizable and is centered on the screen when it opens.
 */
public class NotVideoPokerApplication {
	
	public static void main(String[] args) {
		JFrame frame = new JFrame("Not Video Poker");  // Create the window data structure.
		JPanel panel = new VideoPokerPanel();   // Create a NotVideoPoker panel
		frame.setContentPane(panel); // Set the window to display the panel as the windows "content".
		frame.pack();   // Adjust size of window based on the panel's preferred size.
		frame.setResizable(false);  // Don't let user change size of window.
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		int w = (screenSize.width - frame.getWidth()) / 2;  // for centering window on screen
		int h = (screenSize.height - frame.getHeight()) / 2;
		frame.setLocation(w,h);   // Set location of upper left corner of the window on the screen.
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);  // Program exits when user closes window.
		frame.setVisible(true);     // Make the window visible on the screen.
	}
	
}
